> ## Documentation Index
> Fetch the complete documentation index at: https://platform.atlan.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Aggregate outputs



## OpenAPI

````yaml /public-openapi.json post /agent/v1/outputs/aggregate
openapi: 3.1.0
info:
  title: Atlan public API
  version: current
  description: >-
    Public HTTP API reference for Registry, Skills, Agents, outputs, files, MCP
    servers and tools, and OTLP telemetry ingestion.
servers:
  - url: https://agentgateway.atlan.engineering
    description: Atlan API base URL
security:
  - bearer: []
tags:
  - name: Core
  - name: Skill
  - name: Agent
  - name: Files
  - name: MCP
  - name: Observability
paths:
  /agent/v1/outputs/aggregate:
    post:
      tags:
        - Agent
      summary: Aggregate outputs
      operationId: agent.aggregateOutputs
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/agent-agent-ArtifactAggregateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/agent-agent-ArtifactAggregateResponse'
          description: HTTP 200 response.
        '400':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - invalid_json
          description: HTTP 400 response.
        '401':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - alg_mismatch
                          - alg_not_allowed
                          - audience_mismatch
                          - invalid_api_key
                          - missing_identity
                          - missing_org
                          - missing_user
                          - signature_invalid
                          - token_expired
                          - token_malformed
                          - token_missing
                          - token_not_yet_valid
                          - token_rejected
                          - token_service_account_unbound
                          - unknown_account
                          - unknown_key
                          - untrusted_issuer
          description: HTTP 401 response.
        '403':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - access_denied
                          - account_suspended
          description: HTTP 403 response.
        '415':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - unsupported_content_type
          description: HTTP 415 response.
        '422':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - validation_failed
          description: HTTP 422 response.
        '500':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - internal_error
          description: HTTP 500 response.
        '503':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - auth_unavailable
                          - service_overloaded
          description: HTTP 503 response.
        '504':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - request_timeout
          description: HTTP 504 response.
      security:
        - bearer: []
components:
  schemas:
    agent-agent-ArtifactAggregateRequest:
      type: object
      properties:
        group_by:
          type: array
          items:
            $ref: '#/components/schemas/agent-agent-AggregateDimensionInput'
        limit:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        metrics:
          type: array
          items:
            $ref: '#/components/schemas/agent-agent-AggregateMetricInput'
        offset:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        sort:
          type: array
          items:
            type: string
        workspace_id:
          type:
            - string
            - 'null'
    agent-agent-ArtifactAggregateResponse:
      type: object
      required:
        - groups
        - page
      properties:
        groups:
          type: array
          items:
            $ref: '#/components/schemas/agent-agent-ArtifactAggregateGroup'
        page:
          $ref: '#/components/schemas/agent-gateway-PageMeta'
    agent-ProblemDetails:
      type: object
      required:
        - title
        - status
        - detail
        - code
      properties:
        code:
          type: string
        detail:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
        title:
          type: string
        trace_id:
          type:
            - string
            - 'null'
    agent-agent-AggregateDimensionInput:
      type: object
      required:
        - field
      properties:
        bucket:
          type:
            - string
            - 'null'
        field:
          type: string
    agent-agent-AggregateMetricInput:
      type: object
      required:
        - op
      properties:
        alias:
          type:
            - string
            - 'null'
        field:
          type:
            - string
            - 'null'
        op:
          type: string
    agent-agent-ArtifactAggregateGroup:
      type: object
      required:
        - key
        - metrics
      properties:
        key:
          type: object
          additionalProperties: true
        metrics:
          type: object
          additionalProperties: true
    agent-gateway-PageMeta:
      type: object
      required:
        - limit
        - offset
        - total
      properties:
        limit:
          type: integer
          format: int32
          minimum: 0
        offset:
          type: integer
          format: int32
          minimum: 0
        total:
          type: integer
          format: int64
          minimum: 0
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````